For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pair Params

Get futures pair parameters and user settings on PointPay Exchange.

Details

GET https://api.pointpay.io/fapi/v1/private/trade/pair-params/{pair}

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Base64-encoded request body

X-TXC-SIGNATURE*

STRING

HmacSHA512 signature of the request body

Path Parameters

Name
Type
Description
Example

pair*

STRING

Trading pair

BTCUSDT

Fields marked with * are required.

CURL Example
curl -X GET "https://api.pointpay.io/fapi/v1/private/trade/pair-params/BTCUSDT" \
  -H "accept: application/json" \
  -H "X-TXC-APIKEY: <api-key>" \
  -H "X-TXC-PAYLOAD: <base64-payload>" \
  -H "X-TXC-SIGNATURE: <signature>"

Response parameters:

response contains:

Name
Type
Description

symbol

STRING

Trading pair

displayName

STRING

Pair display name

baseCoin

STRING

Base coin

quoteCoin

STRING

Quote coin

launchTime

STRING

Pair launch time in milliseconds

fundingInterval

INTEGER

Funding interval in minutes

leverage

OBJECT

Allowed leverage range

price

OBJECT

Allowed price range

priceScale

STRING

Price precision scale

orderSize

OBJECT

Order size limits

settleCoin

STRING

Settlement coin

upperFundingRate

STRING

Upper funding rate limit

lowerFundingRate

STRING

Lower funding rate limit

riskParameters

OBJECT

Risk parameter ratios

takerFeeRate

STRING

Taker fee rate

makerFeeRate

STRING

Maker fee rate

user

OBJECT

Current user settings for the pair

leverage contains:

Name
Type
Description

minLeverage

STRING

Minimum leverage

maxLeverage

STRING

Maximum leverage

leverageStep

STRING

Leverage step

price contains:

Name
Type
Description

minPrice

STRING

Minimum price

maxPrice

STRING

Maximum price

tickSize

STRING

Price tick size

orderSize contains:

Name
Type
Description

maxOrderQty

STRING

Maximum limit order size

minOrderQty

STRING

Minimum order size

maxMarketOrderQty

STRING

Maximum market order size

step

STRING

Order size step

minOrderAmount

STRING

Minimum order amount

riskParameters contains:

Name
Type
Description

priceLimitRatioX

STRING

Price limit ratio X

priceLimitRatioY

STRING

Price limit ratio Y

user contains:

Name
Type
Description

marginMode

STRING

User margin mode

leverage

STRING

User leverage

positionMode

STRING

User position mode

Response example:

Response example

Returned when the request is invalid.

Common reasons:

  • Invalid request format

  • Invalid headers

Response example

Returned when authentication headers are missing / invalid or API Keys are not enabled.

Last updated